﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Services_Architecture.ServiceFactory;
using Services_Architecture.ServicesByFeature;
using Services_Architecture.ServicesByPlatform;

namespace Services_Architecture
{
    class Client
    {
        static void Main(string[] args)
        {
            ServiceFactory.MobileServiceFactory mobileFactory = new ServiceFactory.MobileServiceFactory();
            IAccountService acctService = mobileFactory.GetService<IAccountService>();

            acctService.CreateAccount();
        }
    }
}
